BearSSL

Data Fields
br_config_option Struct Reference

Type for a configuration option. More...

`#include <bearssl.h>`

## Data Fields
const char * | name
| Configurable option name. More...
long | value
| Configurable option value. More...

## Detailed Description

Type for a configuration option.

A "configuration option" is a value that is selected when the BearSSL library itself is compiled. Most options are boolean; their value is then either 1 (option is enabled) or 0 (option is disabled). Some values have other integer values. Option names correspond to macro names. Some of the options can be explicitly set in the internal `"config.h"` file.

## Field Documentation

## ◆ name

const char* br_config_option::name

Configurable option name.

## ◆ value

long br_config_option::value

Configurable option value.

The documentation for this struct was generated from the following file:

- bearssl.h